Subject: Re: bug#45826: SBCL / Common Lisp packages fail to build on aarch64

From: Efraim Flashner <[email-masked]>
Date: Sun, 17 Jan 2021 21:37:11 +0200

On Sun, Jan 17, 2021 at 02:11:11PM -0500, Leo Famulari wrote:
> On Sun, Jan 17, 2021 at 10:29:49AM +0100, Mathieu Othacehe wrote:
> > If we want to disable SBCL builds temporarily we can do something
> > similar to what I did to disable Rust builds on non-x86_64 architectures
> > here: 0ed631866cc0b7cece2b0a0b50e39b37ae91bb67.
> 
> ------
> diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
> index 35a96b5754..91b5d6b6ec 100644
> --- a/gnu/packages/rust.scm
> +++ b/gnu/packages/rust.scm
> @@ -452,6 +452,7 @@ test = { path = \"../libtest\" }
>              (variable "LIBRARY_PATH")
>              (files '("lib" "lib64")))))
>  
> +    (supported-systems '("x86_64-linux"))
>      (synopsis "Compiler for the Rust programming language")
>      (description "Rust is a systems programming language that provides memory
>  safety and thread safety guarantees.")
> ------
> 
> Hm, this would also prevent users from building the packages on their
> own machines. We need a way to make changes like this but limit them to
> the build farm.

Would marking it unsubstitutable work? Or would we need build-local

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted